dnl aclocal.m4 generated automatically by aclocal 1.4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])


# serial 24 AM_PROG_LIBTOOL
AC_DEFUN(AM_PROG_LIBTOOL,
[AC_REQUIRE([AM_ENABLE_SHARED])dnl
AC_REQUIRE([AM_ENABLE_STATIC])dnl
AC_REQUIRE([AC_CANONICAL_HOST])dnl
AC_REQUIRE([AC_PROG_RANLIB])dnl
AC_REQUIRE([AC_PROG_CC])dnl
AC_REQUIRE([AM_PROG_LD])dnl
AC_REQUIRE([AM_PROG_NM])dnl
AC_REQUIRE([AC_PROG_LN_S])dnl
dnl
# Always use our own libtool.
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
AC_SUBST(LIBTOOL)dnl

# Check for any special flags to pass to ltconfig.
libtool_flags=
test "$enable_shared" = no && libtool_flags="$libtool_flags --disable-shared"
test "$enable_static" = no && libtool_flags="$libtool_flags --disable-static"
test "$silent" = yes && libtool_flags="$libtool_flags --silent"
test "$ac_cv_prog_gcc" = yes && libtool_flags="$libtool_flags --with-gcc"
test "$ac_cv_prog_gnu_ld" = yes && libtool_flags="$libtool_flags --with-gnu-ld"

# Some flags need to be propagated to the compiler or linker for good
# libtool support.
case "$host" in
*-*-irix6*)
  # Find out which ABI we are using.
  echo '[#]line __oline__ "configure"' > conftest.$ac_ext
  if AC_TRY_EVAL(ac_compile); then
    case "`/usr/bin/file conftest.o`" in
    *32-bit*)
      LD="${LD-ld} -32"
      ;;
    *N32*)
      LD="${LD-ld} -n32"
      ;;
    *64-bit*)
      LD="${LD-ld} -64"
      ;;
    esac
  fi
  rm -rf conftest*
  ;;

*-*-sco3.2v5*)
  # On SCO OpenServer 5, we need -belf to get full-featured binaries.
  CFLAGS="$CFLAGS -belf"
  ;;
esac

# Actually configure libtool.  ac_aux_dir is where install-sh is found.
CC="$CC" CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" \
LD="$LD" NM="$NM" RANLIB="$RANLIB" LN_S="$LN_S" \
${CONFIG_SHELL-/bin/sh} $ac_aux_dir/ltconfig \
$libtool_flags --no-verify $ac_aux_dir/ltmain.sh $host \
|| AC_MSG_ERROR([libtool configure failed])
])

# AM_ENABLE_SHARED - implement the --enable-shared flag
# Usage: AM_ENABLE_SHARED[(DEFAULT)]
#   Where DEFAULT is either `yes' or `no'.  If omitted, it defaults to
#   `yes'.
AC_DEFUN(AM_ENABLE_SHARED,
[define([AM_ENABLE_SHARED_DEFAULT], ifelse($1, no, no, yes))dnl
AC_ARG_ENABLE(shared,
changequote(<<, >>)dnl
<<  --enable-shared         build shared libraries [default=>>AM_ENABLE_SHARED_DEFAULT]
changequote([, ])dnl
[  --enable-shared=PKGS    only build shared libraries if the current package
                          appears as an element in the PKGS list],
[p=${PACKAGE-default}
case "$enableval" in
yes) enable_shared=yes ;;
no) enable_shared=no ;;
*)
  enable_shared=no
  # Look at the argument we got.  We use all the common list separators.
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:,"
  for pkg in $enableval; do
    if test "X$pkg" = "X$p"; then
      enable_shared=yes
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac],
enable_shared=AM_ENABLE_SHARED_DEFAULT)dnl
])

# AM_DISABLE_SHARED - set the default shared flag to --disable-shared
AC_DEFUN(AM_DISABLE_SHARED,
[AM_ENABLE_SHARED(no)])

# AM_DISABLE_STATIC - set the default static flag to --disable-static
AC_DEFUN(AM_DISABLE_STATIC,
[AM_ENABLE_STATIC(no)])

# AM_ENABLE_STATIC - implement the --enable-static flag
# Usage: AM_ENABLE_STATIC[(DEFAULT)]
#   Where DEFAULT is either `yes' or `no'.  If omitted, it defaults to
#   `yes'.
AC_DEFUN(AM_ENABLE_STATIC,
[define([AM_ENABLE_STATIC_DEFAULT], ifelse($1, no, no, yes))dnl
AC_ARG_ENABLE(static,
changequote(<<, >>)dnl
<<  --enable-static         build static libraries [default=>>AM_ENABLE_STATIC_DEFAULT]
changequote([, ])dnl
[  --enable-static=PKGS    only build shared libraries if the current package
                          appears as an element in the PKGS list],
[p=${PACKAGE-default}
case "$enableval" in
yes) enable_static=yes ;;
no) enable_static=no ;;
*)
  enable_static=no
  # Look at the argument we got.  We use all the common list separators.
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:,"
  for pkg in $enableval; do
    if test "X$pkg" = "X$p"; then
      enable_static=yes
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac],
enable_static=AM_ENABLE_STATIC_DEFAULT)dnl
])


# AM_PROG_LD - find the path to the GNU or non-GNU linker
AC_DEFUN(AM_PROG_LD,
[AC_ARG_WITH(gnu-ld,
[  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]],
test "$withval" = no || with_gnu_ld=yes, with_gnu_ld=no)
AC_REQUIRE([AC_PROG_CC])
ac_prog=ld
if test "$ac_cv_prog_gcc" = yes; then
  # Check if gcc -print-prog-name=ld gives a path.
  AC_MSG_CHECKING([for ld used by GCC])
  ac_prog=`($CC -print-prog-name=ld) 2>&5`
  case "$ac_prog" in
  # Accept absolute paths.
  /* | [A-Za-z]:\\*)
    test -z "$LD" && LD="$ac_prog"
    ;;
  "")
    # If it fails, then pretend we aren't using GCC.
    ac_prog=ld
    ;;
  *)
    # If it is relative, then search for the first ld in PATH.
    with_gnu_ld=unknown
    ;;
  esac
elif test "$with_gnu_ld" = yes; then
  AC_MSG_CHECKING([for GNU ld])
else
  AC_MSG_CHECKING([for non-GNU ld])
fi
AC_CACHE_VAL(ac_cv_path_LD,
[if test -z "$LD"; then
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f "$ac_dir/$ac_prog"; then
      ac_cv_path_LD="$ac_dir/$ac_prog"
      # Check to see if the program is GNU ld.  I'd rather use --version,
      # but apparently some GNU ld's only accept -v.
      # Break only if it was the GNU/non-GNU ld that we prefer.
      if "$ac_cv_path_LD" -v 2>&1 < /dev/null | egrep '(GNU|with BFD)' > /dev/null; then
	test "$with_gnu_ld" != no && break
      else
        test "$with_gnu_ld" != yes && break
      fi
    fi
  done
  IFS="$ac_save_ifs"
else
  ac_cv_path_LD="$LD" # Let the user override the test with a path.
fi])
LD="$ac_cv_path_LD"
if test -n "$LD"; then
  AC_MSG_RESULT($LD)
else
  AC_MSG_RESULT(no)
fi
test -z "$LD" && AC_MSG_ERROR([no acceptable ld found in \$PATH])
AC_SUBST(LD)
AM_PROG_LD_GNU
])

AC_DEFUN(AM_PROG_LD_GNU,
[AC_CACHE_CHECK([if the linker ($LD) is GNU ld], ac_cv_prog_gnu_ld,
[# I'd rather use --version here, but apparently some GNU ld's only accept -v.
if $LD -v 2>&1 </dev/null | egrep '(GNU|with BFD)' 1>&5; then
  ac_cv_prog_gnu_ld=yes
else
  ac_cv_prog_gnu_ld=no
fi])
])

# AM_PROG_NM - find the path to a BSD-compatible name lister
AC_DEFUN(AM_PROG_NM,
[AC_MSG_CHECKING([for BSD-compatible nm])
AC_CACHE_VAL(ac_cv_path_NM,
[case "$NM" in
/* | [A-Za-z]:\\*)
  ac_cv_path_NM="$NM" # Let the user override the test with a path.
  ;;
*)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in /usr/ucb /usr/ccs/bin $PATH /bin; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/nm; then
      # Check to see if the nm accepts a BSD-compat flag.
      # Adding the `sed 1q' prevents false positives on HP-UX, which says:
      #   nm: unknown option "B" ignored
      if ($ac_dir/nm -B /dev/null 2>&1 | sed '1q'; exit 0) | egrep /dev/null >/dev/null; then
        ac_cv_path_NM="$ac_dir/nm -B"
      elif ($ac_dir/nm -p /dev/null 2>&1 | sed '1q'; exit 0) | egrep /dev/null >/dev/null; then
        ac_cv_path_NM="$ac_dir/nm -p"
      else
        ac_cv_path_NM="$ac_dir/nm"
      fi
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_path_NM" && ac_cv_path_NM=nm
  ;;
esac])
NM="$ac_cv_path_NM"
AC_MSG_RESULT([$NM])
AC_SUBST(NM)
])

dnl  -*- Mode: M4 -*- 
dnl --------------------------------------------------------------------
dnl libregex.m4 --- compiler switches to link with POSIX regex library.
dnl 
dnl Author:	       Gary V. Vaughan <gvaughan@localhost>
dnl Maintainer:	       Gary V. Vaughan <gvaughan@localhost>
dnl Created:	       Mon Nov 16 15:14:19 1998
dnl Last Modified:     Tue Nov 24 08:59:21 1998
dnl            by:           Bruce Korb <korb@datadesign.com>
dnl --------------------------------------------------------------------
dnl @(#) $Id$
dnl --------------------------------------------------------------------
dnl 
dnl Code:

# serial 1

dnl AG_CHECK_LIB_REGEX
dnl Add switches for prefix and library name, and add any necessary
dnl switches to INCLUDES, LDFLAGS and LIBS.
dnl

AC_DEFUN([AG_CHECK_LIB_REGEX],
[AC_MSG_CHECKING([whether POSIX regex library was specified])
ag_cv_lib_regex_prefix="none"
ag_cv_lib_regex_library="none"
ag_lib_regex_result=""

AC_ARG_WITH(regex-prefix,
[  --with-regex-prefix     prefix of a POSIX regex library installation[none]],
[ag_cv_lib_regex_prefix=$with_regex_prefix])
AC_ARG_WITH(regex-lib,
[  --with-regex-lib        name of a POSIX regex library to link with[none]],
[ag_cv_lib_regex_library=$with_regex_lib])

if test x$ag_cv_lib_regex_prefix != xnone; then
    ag_lib_regex_result="-L${ag_cv_lib_regex_prefix}/lib "
    if test x$ag_cv_lib_regex_library = xnone; then
	ag_cv_lib_regex_library=regex
    fi
fi

if test x$ag_cv_lib_regex_library != xnone; then
    ag_lib_regex_result="${ag_lib_regex_result}-l$ag_cv_lib_regex_library"
else
    ag_lib_regex_result=no
fi

AC_MSG_RESULT([$ag_lib_regex_result])

if test x$ag_cv_lib_regex_prefix != xnone; then
  CPPFLAGS="-I${ag_cv_lib_regex_prefix}/include $CPPFLAGS"
  LDFLAGS="-L${ag_cv_lib_regex_prefix}/lib $LDFLAGS"
fi
if test x$ag_cv_lib_regex_library != xnone; then
  LIBS="-l$ag_cv_lib_regex_library $LIBS"
fi])

dnl libregex.m4 ends here


# serial 1

AC_DEFUN(AM_WITH_DMALLOC,
[AC_MSG_CHECKING(if malloc debugging is wanted)
AC_ARG_WITH(dmalloc,
[  --with-dmalloc          use dmalloc, as in
                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz],
[if test "$withval" = yes; then
  AC_MSG_RESULT(yes)
  AC_DEFINE(WITH_DMALLOC,1,
            [Define if using the dmalloc debugging malloc package])
  LIBS="$LIBS -ldmalloc"
  LDFLAGS="$LDFLAGS -g"
else
  AC_MSG_RESULT(no)
fi], [AC_MSG_RESULT(no)])
])

dnl  -*- Mode: M4 -*- 
dnl --------------------------------------------------------------------
dnl openmode.m4 --- 
dnl 
dnl Author:	       Gary V. Vaughan <gvaughan@oranda.demon.co.uk>
dnl Maintainer:	       Gary V. Vaughan <gvaughan@oranda.demon.co.uk>
dnl Created:	       Tue Nov 24 01:07:30 1998
dnl Last Modified:     Tue Jan 26 11:24:35 1998
dnl            by:     Gary V. Vaughan <gvaughan@oranda.demon.co.uk>
dnl --------------------------------------------------------------------
dnl @(#) $Id: openmode.m4,v 1.1 1999/03/17 16:57:29 bkorb Exp $
dnl --------------------------------------------------------------------
dnl 
dnl Code:

# serial 2

dnl AG_FUNC_FOPEN_BINARY
dnl Test whether fopen accepts a "b" in the mode string for binary file
dnl opening.  This makes no difference on most unices, but some OSes
dnl convert every newline written to a file to two bytes (CR LF), and
dnl every CR LF read from a file is silently converted to a newline.
dnl
AC_DEFUN(AG_FUNC_FOPEN_BINARY,
[AC_MSG_CHECKING(whether fopen accepts "b" mode)
AC_CACHE_VAL([ag_cv_func_fopen_binary],
[AC_TRY_RUN([#include <stdio.h>
int main (int argc, char *argv[])
{
   FILE *fp = fopen("/bin/sh", "rb");
   return (fclose(fp) >= 0);
}],[ag_cv_func_fopen_binary=yes],
[ag_cv_func_fopen_binary=yes],[ag_cv_func_fopen_binary=yes])
rm -f core *.exe.core])
AC_MSG_RESULT([$ag_cv_func_fopen_binary])
if test x$ag_cv_func_fopen_binary = xyes; then
  AC_DEFINE(USE_FOPEN_BINARY)
fi])

dnl AG_FUNC_FOPEN_TEXT
dnl Test whether open accepts a "t" in the mode string for text file
dnl opening.  This makes no difference on most unices, but other OSes
dnl use it to assert that every newline written to a file writes two
dnl bytes (CR LF), and every CR LF read from a file are silently
dnl converted to a newline.
dnl
AC_DEFUN(AG_FUNC_FOPEN_TEXT,
[AC_MSG_CHECKING(whether fopen accepts "t" mode)
AC_CACHE_VAL([ag_cv_func_fopen_text],
[AC_TRY_RUN([#include <stdio.h>
int main (int argc, char *argv[])
{
   FILE *fp = fopen("/bin/sh", "rt");
   return (fclose(fp) >= 0);
}],[ag_cv_func_fopen_text=yes],
[ag_cv_func_fopen_text=yes],[ag_cv_func_fopen_text=yes])
rm -f core *.exe.core])
AC_MSG_RESULT([$ag_cv_func_fopen_text])
if test x$ag_cv_func_fopen_text = xyes; then
  AC_DEFINE(USE_FOPEN_TEXT)
fi])

dnl AG_FUNC_OPEN_BINARY
dnl Test whether open accepts O_BINARY in the mode string for binary
dnl file opening.  This makes no difference on most unices, but some
dnl OSes convert every newline written to a file to two bytes (CR LF),
dnl and every CR LF read from a file is silently converted to a newline.
dnl
AC_DEFUN(AG_FUNC_OPEN_BINARY,
[AC_MSG_CHECKING(whether open accepts O_BINARY)
AC_CACHE_VAL([ag_cv_func_open_binary],
[AC_TRY_RUN([#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
int main (int argc, char *argv[])
{
   int fd = open("/bin/sh", O_RDONLY|O_BINARY);
   return (close(fd) >= 0);
}],[ag_cv_func_open_binary=yes],
[ag_cv_func_open_binary=yes],[ag_cv_func_open_binary=yes])
rm -f core *.exe.core])
AC_MSG_RESULT([$ag_cv_func_open_binary])
if test x$ag_cv_func_open_binary = xyes; then
  AC_DEFINE(HAVE_O_BINARY)
fi])

dnl AG_FUNC_OPEN_TEXT
dnl Test whether open accepts O_TEXT in the mode string for text file
dnl opening.  This makes no difference on most unices, but other OSes
dnl use it to assert that every newline written to a file writes two
dnl bytes (CR LF), and every CR LF read from a file are silently
dnl converted to a newline.
dnl
AC_DEFUN(AG_FUNC_OPEN_TEXT,
[AC_MSG_CHECKING(whether open accepts O_TEXT)
AC_CACHE_VAL([ag_cv_func_open_text],
[AC_TRY_RUN([#include <stdio.h>
int main (int argc, char *argv[])
{
   int fd = open("/bin/sh", O_RDONLY|O_TEXT);
   return (close(fd) >= 0);
}],[ag_cv_func_open_text=yes],
[ag_cv_func_open_text=yes],[ag_cv_func_open_text=yes])
rm -f core *.exe.core])
AC_MSG_RESULT([$ag_cv_func_open_text])
if test x$ag_cv_func_open_text = xyes; then
  AC_DEFINE(USE_OPEN_TEXT)
fi])

dnl fopenbinary.m4 ends here

# Check whether we need to free the memory returned by ctime,
# and if so define ALLOCATED_CTIME.
# $Id: ctime.m4,v 1.2 1998/05/26 19:00:25 bkorb Exp $
# serial 1

dnl AG_FUNC_CTIME_HEAP
dnl This tries to run a small C program which frees the result
dnl returned by a call to ctime.  If the returned memory was not
dnl allocated on the heap, it will raise a SIGSEGV.
dnl
AC_DEFUN(AG_FUNC_CTIME_HEAP,
[AC_MSG_CHECKING([whether ctime returns a heap address])
AC_CACHE_VAL([ag_cv_func_ctime_heap],
[AC_TRY_RUN([#include <time.h>
int main (int argc, char *argv[])
{
   time_t  timeVal = time( (time_t*)NULL );
   char*   pzTime  = ctime( &timeVal );
   free( (void*)pzTime );
   return 0;
}],[ag_cv_func_ctime_heap=yes],
[ag_cv_func_ctime_heap=no],[ag_cv_func_ctime_heap=no])
rm -f core])
AC_MSG_RESULT([$ag_cv_func_ctime_heap])
if test x$ag_cv_func_ctime_heap = xyes; then
  AC_DEFINE(ALLOCATED_CTIME)
fi])

# Check whether we have a working strftime with support for all posix
# parameters.  Define HAVE_STRFTIME if this is true.
# $Id$
# serial 1

dnl AG_FUNC_STRFTIME
dnl This tries to run a small C program which expands posix parameters
dnl to a string using the strftime function.  If it links and
dnl correctly, processes its parameters, and returns a string of the
dnl expected length then define HAVE_STRFTIME.
dnl
AC_DEFUN(AG_FUNC_STRFTIME,
[AC_MSG_CHECKING([for working strftime])
AC_CACHE_VAL([ag_cv_func_strftime],
[AC_REQUIRE([AC_HEADER_TIME])dnl
AC_REQUIRE([AC_STRUCT_TIMEZONE])dnl
AC_TRY_RUN([#include <ctype.h>
#include <sys/types.h>          /* Some systems define time_t here.  */
#ifdef TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else
# ifdef HAVE_SYS_TIME_H
#  include <sys/time.h>
# else
#  include <time.h>
# endif
#endif
#if HAVE_TZNAME
extern char *tzname[];
#endif
int main (int argc, char *argv[]) {
   time_t curTime = time((time_t*)0);
   struct tm *pTime = localtime(&curTime);
   /* All of the specifiers not affected by LOCALE settings */
   char zStr[] = "%a%b%d%e%H%I%j%m%M%r%S%U%W%w%y%Y%%";
   char zBuf[128];
   if (strftime(zBuf, 128, zStr, pTime) != 46) return 1;
   return 0;
}],[ag_cv_func_strftime=yes],
[ag_cv_func_strftime=no],[ag_cv_func_strftime=no])
rm -f core])
AC_MSG_RESULT([$ag_cv_func_strftime])
if test x$ag_cv_func_strftime = xyes; then
  AC_DEFINE(HAVE_STRFTIME)
fi])

# Check whether we have a working vsnprintf and snprintf with support
# for positional parameters.  Define HAVE_VSNPRINTF and HAVE_SNPRINTF
# respectively if this is true.
# $Id: vsnprintf.m4,v 1.1 1998/10/13 14:47:21 bkorb Exp $
# serial 1

dnl AG_FUNC_VSNPRINTF_DOLLAR
dnl This tries to run a small C program which prints $ parameters
dnl to a string using the vsnprintf function.  If it links and
dnl correctly, processes its parameters, and returns the string length
dnl correctly then define HAVE_VSNPRINTF.
dnl
AC_DEFUN(AG_FUNC_VSNPRINTF_DOLLAR,
[AC_MSG_CHECKING([for vsnprintf which supports %n$])
AC_CACHE_VAL([ag_cv_func_vsnprintf_dollar],
[AC_TRY_RUN([#ifdef HAVE_VARARGS_H
#include <varargs.h>
#define VA_START(ap,last) va_start(ap)
format (buf, fmt, va_alist) char *buf, *fmt; va_dcl
#elif HAVE_STARG_H
#include <stdarg.h>
#define VA_START va_start
int format (char *buf, char *fmt, ...)
#endif
{
   int n;
   va_list ap;
   VA_START(ap, fmt);
   n = vsnprintf(buf, 12, fmt, ap);
   va_end(ap);
   return n;
}

int main (int argc, char *argv[]) {
   char zStr[] = "%2\$s%1\$s%%1\$s%2\$s";
   char zBuf[12];
   if (format(zBuf, zStr, "11", "22", "33") != 10) return 1;
   return strcmp(zBuf, "2211%1\$s22");
}],[ag_cv_func_vsnprintf_dollar=yes],
[ag_cv_func_vsnprintf_dollar=no],[ag_cv_func_vsnprintf_dollar=no])
rm -f core])
AC_MSG_RESULT([$ag_cv_func_vsnprintf_dollar])
if test x$ag_cv_func_vsnprintf_dollar = xyes; then
  AC_DEFINE(HAVE_VSNPRINTF)
fi])

dnl AG_FUNC_SNPRINTF_DOLLAR
dnl This tries to run a small C program which prints $ parameters
dnl to a string using the snprintf function.  If it links and
dnl correctly, processes its parameters, and returns the string length
dnl correctly then define HAVE_SNPRINTF.
dnl
AC_DEFUN(AG_FUNC_SNPRINTF_DOLLAR,
[AC_MSG_CHECKING([for snprintf which supports %n$])
AC_CACHE_VAL([ag_cv_func_snprintf_dollar],
[AC_TRY_RUN([
int main (int argc, char *argv[]) {
   char zStr[] = "%2\$s%1\$s%%1\$s%2\$s";
   char zBuf[12];
   if (snprintf(zBuf, 12, zStr, "11", "22", "33") != 10) return 1;
   return strcmp(zBuf, "2211%1\$s22");
}],[ag_cv_func_snprintf_dollar=yes],
[ag_cv_func_snprintf_dollar=no],[ag_cv_func_snprintf_dollar=no])
rm -f core])
AC_MSG_RESULT([$ag_cv_func_snprintf_dollar])
if test x$ag_cv_func_snprintf_dollar = xyes; then
  AC_DEFINE(HAVE_SNPRINTF)
fi])

# Like AC_CONFIG_HEADER, but automatically create stamp file.

AC_DEFUN(AM_CONFIG_HEADER,
[AC_PREREQ([2.12])
AC_CONFIG_HEADER([$1])
dnl When config.status generates a header, we must update the stamp-h file.
dnl This file resides in the same directory as the config header
dnl that is generated.  We must strip everything past the first ":",
dnl and everything past the last "/".
AC_OUTPUT_COMMANDS(changequote(<<,>>)dnl
ifelse(patsubst(<<$1>>, <<[^ ]>>, <<>>), <<>>,
<<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,
<<am_indx=1
for am_file in <<$1>>; do
  case " <<$>>CONFIG_HEADERS " in
  *" <<$>>am_file "*<<)>>
    echo timestamp > `echo <<$>>am_file | sed -e 's%:.*%%' -e 's%[^/]*$%%'`stamp-h$am_indx
    ;;
  esac
  am_indx=`expr "<<$>>am_indx" + 1`
done<<>>dnl>>)
changequote([,]))])

