# Check whether we need to free the memory returned by ctime,
# and if so define ALLOCATED_CTIME.
# $Id: ctime.m4,v 1.2 1998/05/26 19:00:25 bkorb Exp $
# serial 1

dnl AG_FUNC_CTIME_HEAP
dnl This tries to run a small C program which frees the result
dnl returned by a call to ctime.  If the returned memory was not
dnl allocated on the heap, it will raise a SIGSEGV.
dnl
AC_DEFUN(AG_FUNC_CTIME_HEAP,
[AC_MSG_CHECKING([whether ctime returns a heap address])
AC_CACHE_VAL([ag_cv_func_ctime_heap],
[AC_TRY_RUN([#include <time.h>
int main (int argc, char *argv[])
{
   time_t  timeVal = time( (time_t*)NULL );
   char*   pzTime  = ctime( &timeVal );
   free( (void*)pzTime );
   return 0;
}],[ag_cv_func_ctime_heap=yes],
[ag_cv_func_ctime_heap=no],[ag_cv_func_ctime_heap=no])
rm -f core])
AC_MSG_RESULT([$ag_cv_func_ctime_heap])
if test x$ag_cv_func_ctime_heap = xyes; then
  AC_DEFINE(ALLOCATED_CTIME)
fi])
