# Check whether we have a working strftime with support for all posix
# parameters.  Define HAVE_STRFTIME if this is true.
# $Id$
# serial 1

dnl AG_FUNC_STRFTIME
dnl This tries to run a small C program which expands posix parameters
dnl to a string using the strftime function.  If it links and
dnl correctly, processes its parameters, and returns a string of the
dnl expected length then define HAVE_STRFTIME.
dnl
AC_DEFUN(AG_FUNC_STRFTIME,
[AC_MSG_CHECKING([for working strftime])
AC_CACHE_VAL([ag_cv_func_strftime],
[AC_REQUIRE([AC_HEADER_TIME])dnl
AC_REQUIRE([AC_STRUCT_TIMEZONE])dnl
AC_TRY_RUN([#include <ctype.h>
#include <sys/types.h>          /* Some systems define time_t here.  */
#ifdef TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else
# ifdef HAVE_SYS_TIME_H
#  include <sys/time.h>
# else
#  include <time.h>
# endif
#endif
#if HAVE_TZNAME
extern char *tzname[];
#endif
int main (int argc, char *argv[]) {
   time_t curTime = time((time_t*)0);
   struct tm *pTime = localtime(&curTime);
   /* All of the specifiers not affected by LOCALE settings */
   char zStr[] = "%a%b%d%e%H%I%j%m%M%r%S%U%W%w%y%Y%%";
   char zBuf[128];
   if (strftime(zBuf, 128, zStr, pTime) != 46) return 1;
   return 0;
}],[ag_cv_func_strftime=yes],
[ag_cv_func_strftime=no],[ag_cv_func_strftime=no])
rm -f core])
AC_MSG_RESULT([$ag_cv_func_strftime])
if test x$ag_cv_func_strftime = xyes; then
  AC_DEFINE(HAVE_STRFTIME)
fi])
