# Check whether we have a working vsnprintf and snprintf with support
# for positional parameters.  Define HAVE_VSNPRINTF and HAVE_SNPRINTF
# respectively if this is true.
# $Id: vsnprintf.m4,v 1.1 1998/10/13 14:47:21 bkorb Exp $
# serial 1

dnl AG_FUNC_VSNPRINTF_DOLLAR
dnl This tries to run a small C program which prints $ parameters
dnl to a string using the vsnprintf function.  If it links and
dnl correctly, processes its parameters, and returns the string length
dnl correctly then define HAVE_VSNPRINTF.
dnl
AC_DEFUN(AG_FUNC_VSNPRINTF_DOLLAR,
[AC_MSG_CHECKING([for vsnprintf which supports %n$])
AC_CACHE_VAL([ag_cv_func_vsnprintf_dollar],
[AC_TRY_RUN([#ifdef HAVE_VARARGS_H
#include <varargs.h>
#define VA_START(ap,last) va_start(ap)
format (buf, fmt, va_alist) char *buf, *fmt; va_dcl
#elif HAVE_STARG_H
#include <stdarg.h>
#define VA_START va_start
int format (char *buf, char *fmt, ...)
#endif
{
   int n;
   va_list ap;
   VA_START(ap, fmt);
   n = vsnprintf(buf, 12, fmt, ap);
   va_end(ap);
   return n;
}

int main (int argc, char *argv[]) {
   char zStr[] = "%2\$s%1\$s%%1\$s%2\$s";
   char zBuf[12];
   if (format(zBuf, zStr, "11", "22", "33") != 10) return 1;
   return strcmp(zBuf, "2211%1\$s22");
}],[ag_cv_func_vsnprintf_dollar=yes],
[ag_cv_func_vsnprintf_dollar=no],[ag_cv_func_vsnprintf_dollar=no])
rm -f core])
AC_MSG_RESULT([$ag_cv_func_vsnprintf_dollar])
if test x$ag_cv_func_vsnprintf_dollar = xyes; then
  AC_DEFINE(HAVE_VSNPRINTF)
fi])

dnl AG_FUNC_SNPRINTF_DOLLAR
dnl This tries to run a small C program which prints $ parameters
dnl to a string using the snprintf function.  If it links and
dnl correctly, processes its parameters, and returns the string length
dnl correctly then define HAVE_SNPRINTF.
dnl
AC_DEFUN(AG_FUNC_SNPRINTF_DOLLAR,
[AC_MSG_CHECKING([for snprintf which supports %n$])
AC_CACHE_VAL([ag_cv_func_snprintf_dollar],
[AC_TRY_RUN([
int main (int argc, char *argv[]) {
   char zStr[] = "%2\$s%1\$s%%1\$s%2\$s";
   char zBuf[12];
   if (snprintf(zBuf, 12, zStr, "11", "22", "33") != 10) return 1;
   return strcmp(zBuf, "2211%1\$s22");
}],[ag_cv_func_snprintf_dollar=yes],
[ag_cv_func_snprintf_dollar=no],[ag_cv_func_snprintf_dollar=no])
rm -f core])
AC_MSG_RESULT([$ag_cv_func_snprintf_dollar])
if test x$ag_cv_func_snprintf_dollar = xyes; then
  AC_DEFINE(HAVE_SNPRINTF)
fi])
